Bug 53532 - RFE: 'Basic' /etc/passwd causes 'pwck' errors
RFE: 'Basic' /etc/passwd causes 'pwck' errors
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: setup (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-10 20:40 EDT by R P Herrold
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 01:30:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-09-10 20:40:15 EDT
Description of Problem:

pwck is designed to 'preen' errors out of /etc/passwd, /etc/shadow, 
/etc/groups. and /etc/gshadow, nefore running pwconv and so forth.  There 
is an explicit admonitionto run pwch before using pwconv, to avoid various 
erroes.

Version-Release number of selected component (if applicable):

error is through setup-2.4.7-1

How Reproducible:

[root@cronos iso]# rpm -q shadow-utils ;  pwck    
shadow-utils-20000826-4
user adm: directory /var/adm does not exist
user news: directory /var/spool/news does not exist
user uucp: directory /var/spool/uucp does not exist
user gopher: directory /usr/lib/gopher-data does not exist
user gdm: directory /home/gdm does not exist
pwck: no changes
[root@cronos iso]# 

Steps to Reproduce:

As above

Actual Results:

As above

Expected Results:

Silent output (if a *nix command runs without error, it is by 
expectiation, silent)

Additional Information:

[Solution discussion]
	
This implies that the SETUP package has to 'own' the 'home directories,' 
of the userid's which it considers important enough to install ... If a 
given userid is important enough to pre-seed into 'setup', this is proper 
-- 

Alternatiely, the userid list at:

        /usr/share/doc/setup-{shatever}/uidgid 

might be moved to /etc or to /etc/sysconfig [a better approach], and thus 
be formally available for consultation when a SPEC file calls for a 
adduser or useradd ...

This would also enhance consistency ...
Comment 1 Bill Nottingham 2002-03-11 01:03:35 EST
news, adm, and gopher are all legacy.

gdm is fixed.

Note You need to log in before you can comment on or make changes to this bug.